yosys (0.52-1) unstable; urgency=medium

  * d/control: Reflect move to electronics-team
  * Bump Standards-Version
  * New upstream version 0.52
  * Refresh patches
  * Update d/copyright

 -- Daniel Gröber <dxld@darkboxed.org>  Fri, 11 Apr 2025 10:41:09 +0200

yosys (0.51-1) unstable; urgency=medium

  * New upstream version 0.51

 -- Daniel Gröber <dxld@darkboxed.org>  Tue, 18 Mar 2025 00:00:57 +0100

yosys (0.49-1) unstable; urgency=medium

  [ Scott Ashcroft ]
  * New upstream release (Closes: #1068174)
  * Fix Build-Depends (Closes: #1055408, #1080844)
  * Presentation was removed upstream. (Closes: #1093368)

  [ Daniel Gröber ]
  * Add patch to replace rsync with cp in build
  * Add patch to properly invalidate docs generated help on failure

  [ Scott Ashcroft ]
  * Replace additional rsync usage with cp
  * Don't install python cache files

 -- Daniel Gröber <dxld@darkboxed.org>  Sun, 16 Mar 2025 16:03:14 +0100

yosys (0.33-6) unstable; urgency=medium

  * Incorporate changes from experimental.

 -- Daniel Gröber <dxld@darkboxed.org>  Mon, 06 Jan 2025 16:48:42 +0100

yosys (0.33-6~exp3) experimental; urgency=medium

  * Fix SOURCE_DATE_EPOCH_FAKETIME not using UTC with date -u
  * Add patch fixing docs/images "tidy" race (Closes: #1052902, #1069424)

 -- Daniel Gröber <dxld@darkboxed.org>  Fri, 04 Oct 2024 21:14:00 +0200

yosys (0.33-6~exp2) experimental; urgency=medium

  * Override TZ to make docs reproducible

 -- Daniel Gröber <dxld@darkboxed.org>  Thu, 02 Nov 2023 11:01:21 +0100

yosys (0.33-6~exp1) experimental; urgency=medium

  * Revert to using faketime for graphviz/dot reproducibility

 -- Daniel Gröber <dxld@darkboxed.org>  Wed, 18 Oct 2023 17:12:31 +0200

yosys (0.33-5) unstable; urgency=medium

  * Fix pdflatex reproducibility

 -- Daniel Gröber <dxld@darkboxed.org>  Sat, 23 Sep 2023 21:58:59 +0200

yosys (0.33-4) unstable; urgency=medium

  * Fix autotest.sh patch locking again

 -- Daniel Gröber <dxld@darkboxed.org>  Wed, 06 Sep 2023 22:10:05 +0200

yosys (0.33-3) unstable; urgency=medium

  * Fix botched flock invocation in autotest fix

 -- Daniel Gröber <dxld@darkboxed.org>  Wed, 06 Sep 2023 15:26:27 +0200

yosys (0.33-2) unstable; urgency=medium

  * Fix text file busy due to autotest.sh gcc race
  * Fix superfluous-file-pattern in d/copyright

 -- Daniel Gröber <dxld@darkboxed.org>  Wed, 06 Sep 2023 11:04:15 +0200

yosys (0.33-1) unstable; urgency=medium

  * New upstream version 0.33
  * Add d/README.source documenting gbp import-orig invocation for MUT

 -- Daniel Gröber <dxld@darkboxed.org>  Wed, 06 Sep 2023 00:12:04 +0200

yosys (0.32-2) unstable; urgency=medium

  * Source-only upload to facilitate testing migration
  * Protect only latex from locale environment
  * Prevent rebuilding world with -nc due to patch unapplication

 -- Daniel Gröber <dxld@darkboxed.org>  Fri, 01 Sep 2023 13:37:09 +0200

yosys (0.32-1) unstable; urgency=medium

  * New upstream version 0.32
  * Use upstream's yosys-abc fork directly, dropping berkeley-abc depends

  * Standards version 4.6.2 - no changes (Steffen Möller)
  * d/rules sets LC_ALL and LANG to C to harden build (Steffen Möller)

 -- Daniel Gröber <dxld@darkboxed.org>  Sun, 27 Aug 2023 13:10:41 +0200

yosys (0.30-6) unstable; urgency=medium

  * Remove yosys-src (Closes: #1050397)

 -- Daniel Gröber <dxld@darkboxed.org>  Sat, 26 Aug 2023 17:53:00 +0200

yosys (0.30-5) unstable; urgency=medium

  * Fix yosys-testsuite autopkgtest failing due to stderr output
  * Clarify d/copyright declared licenses of debian/patches/
  * Fix superfluous-file-pattern lintian warning
  * yosys-testsuite: Check for right number of arguments
  * Remove yosys-tests package, not needed for abc autopkgtest blocking
  * yosys-testsuite: Replace Test-Command invocation with script

 -- Daniel Gröber <dxld@darkboxed.org>  Wed, 23 Aug 2023 16:40:01 +0200

yosys (0.30-4) unstable; urgency=medium

  * yosys-testsuite: Remove dh dependency for cleaning

 -- Daniel Gröber <dxld@darkboxed.org>  Wed, 23 Aug 2023 14:13:52 +0200

yosys (0.30-3) unstable; urgency=medium

  * Fix i386 excess-precicion issue in fstapi

 -- Daniel Gröber <dxld@darkboxed.org>  Tue, 22 Aug 2023 20:49:25 +0200

yosys (0.30-2) unstable; urgency=medium

  * Fix install of manual.pdf
  * Skip running tests for binary-indep (docs) build

 -- Daniel Gröber <dxld@darkboxed.org>  Tue, 22 Aug 2023 13:45:07 +0200

yosys (0.30-1) unstable; urgency=medium

  * Demote xdot to Recommends
  * Add patch to fix building with LTO (Closes: #1015712)
  * Enable LTO
  * New upstream version 0.30
  * Fix dsc build after binary build (Closes: #1047992)
  * Add autopkgtest for abc integration testing

  [ Steffen Möller while sponsoring ]
  * Removed d/gbp.conf debian-branch pointer to experimental.

 -- Daniel Gröber <dxld@darkboxed.org>  Fri, 18 Aug 2023 17:52:25 +0200

yosys (0.23-6) unstable; urgency=medium

  * Fix autotest error patch
  * Require berkeley-abc 1.01+20221019git70cb339+dfsg-3 to fix armhf

 -- Daniel Gröber <dxld@darkboxed.org>  Sat, 03 Dec 2022 23:15:20 +0100

yosys (0.23-5) unstable; urgency=medium

  * Add patch to be verbose on test errors
  * Allow fast unclean rebuild

 -- Daniel Gröber <dxld@darkboxed.org>  Sat, 03 Dec 2022 03:23:09 +0100

yosys (0.23-4) unstable; urgency=medium

  * Fix fstGetUint32 crash on mips64el, Thanks Scott Ashcroft

 -- Daniel Gröber <dxld@darkboxed.org>  Fri, 02 Dec 2022 15:57:26 +0100

yosys (0.23-3) unstable; urgency=medium

  * Add patch to fix blhc CLFAGS warning
  * Fix d/rules sh syntax

 -- Daniel Gröber <dxld@darkboxed.org>  Sun, 13 Nov 2022 23:34:50 +0100

yosys (0.23-1) unstable; urgency=medium

  * New upstream version 0.23
  * Refresh patches

 -- Daniel Gröber <dxld@darkboxed.org>  Sun, 13 Nov 2022 13:48:22 +0100

yosys (0.22-1) unstable; urgency=medium

  * Revise big-endian arch exclude mechanism
  * Fix debian/watch
  * New upstream version 0.22

 -- Daniel Gröber <dxld@darkboxed.org>  Sun, 30 Oct 2022 01:27:23 +0200

yosys (0.19-1) unstable; urgency=medium

  [ Steffen Moeller ]
  * d/control: Bumped standard to 4.6.1
  * d/u/metadata: Added SciCrunch RRID:SCR_022549

  [ Daniel Gröber ]
  * New upstream version 0.19

 -- Daniel Gröber <dxld@darkboxed.org>  Sat, 30 Jul 2022 17:26:45 +0200

yosys (0.18-1) unstable; urgency=medium

  * New upstream version 0.18
  * Fix autopkgtest failure
  * Add salsa-ci config
  * Disable building for mips64el

 -- Daniel Gröber <dxld@darkboxed.org>  Sat, 18 Jun 2022 22:24:49 +0200

yosys (0.15-1) unstable; urgency=medium

  * New upstream version 0.15

 -- Daniel Gröber <dxld@darkboxed.org>  Sat, 26 Mar 2022 16:55:23 +0100

yosys (0.12-1) unstable; urgency=medium

  * Homepage and d/watch now pointing to github.com
  * New upstream version 0.12
  * Fix patches and packaging for new upstream release
      * Now overridden using make variables in debian/rules instead:
        01_gitrevision.patch
        02_removeabc.patch
        05_abc_executable.patch
        0013-Let-dpkg-buildpackage-handle-stripping-of-binaries.patch
      * Fixed upstream
        0015-Fix-gcc11-FTBFS.patch
        manual-build.patch
      * Deemed unnecessary
        0011-Do-not-show-g-build-flags-in-Version-string.patch
  * Add missing dependencies to yosys-dev
  * Raise debhelper-compat to 13
  * New standards version 4.6.0 - no changes
  * Added rules-requires-root: no
  * Bump berkley-abc version bound
  * Add patch to enable loading plugins from /usr/lib/yosys/plugins
  * Add myself to Uploaders

 -- Daniel Gröber <dxld@darkboxed.org>  Thu, 13 Jan 2022 13:34:52 +0100

yosys (0.9-2) unstable; urgency=medium

  * Team Upload.
  * d/p/0015-Fix-gcc11-FTBFS.patch: Include limits to
    fix GCC-11 FTBFS (Closes: #984414)

 -- Nilesh Patra <nilesh@debian.org>  Sun, 15 Aug 2021 14:14:47 +0530

yosys (0.9-1) unstable; urgency=medium

  * Upload to sid
  * New upstream release
    - Refreshed patches
  * debian/copyright:
    - Get copyright info up-to-date
  * debian/control:
    - New standards version 4.4.0 - no changes
    - DH level 12
    - Use debhelper-compat instead of debian/compat file
    - Change build-dependency from texlive-generic-recommended to
      texlive-plain-generic (Closes: #941555) (Thanks Steve Langasek)
  * debian/rules:
    - Don't override dh_install with --fail-missing anymore

 -- Ruben Undheim <ruben.undheim@gmail.com>  Fri, 18 Oct 2019 23:27:34 +0200

yosys (0.8+20190328git32bd0f2-1~exp1) experimental; urgency=low

  * New upstream GIT HEAD
  * debian/control:
    - New standards version 4.3.0 - no changes
  * debian/copyright:
    - Added new copyright holders
  * debian/patches: Refreshed patches
  * debian/yosys.install: Install more files

 -- Ruben Undheim <ruben.undheim@gmail.com>  Sun, 31 Mar 2019 00:01:48 +0100

yosys (0.8-1) unstable; urgency=medium

  * New upstream release
  * debian/control:
    - New standards version 4.2.1 - no changes
  * debian/copyright:
    - New copyright years
    - Some new copyright holders for certain files
  * debian/patches: Fix patches after importing new version
  * d/patches/0013-Let-dpkg-buildpackage-handle-stripping-of-binaries.patch:
    - Fix issue with empty -dbgsym package
  * debian/rules:
    - Enable hardening
    - Remove redundant '--parallel'
    - Override dh_auto_install and remove executable permission on some files
    - Delete one more file in override_dh_auto_clean
  * debian/yosys.1: Updated man page for new version
  * debian/yosys.install: Install new files
  * debian/yosys.lintian-overrides:
    - Waive a 'spelling error' which is in fact not an error.

 -- Ruben Undheim <ruben.undheim@gmail.com>  Wed, 17 Oct 2018 18:36:13 +0200

yosys (0.7-8) unstable; urgency=medium

  * d/patches/0012-Skip-non-deterministic-test-causing-random-FTBFS-on-.patch:
    - Disable test which fails some times when being built (Closes: #907211)

 -- Ruben Undheim <ruben.undheim@gmail.com>  Tue, 04 Sep 2018 20:00:14 +0200

yosys (0.7-7) unstable; urgency=medium

  * debian/patches/0011-Do-not-show-g-build-flags-in-Version-string.patch:
    - Do not quote CXXFLAGS_FOR_YOSYS_CONFIG (fixes build on all)

 -- Ruben Undheim <ruben.undheim@gmail.com>  Wed, 22 Aug 2018 07:23:08 +0200

yosys (0.7-6) unstable; urgency=medium

  * debian/compat: level 11
  * debian/control:
    - debhelper >= 11
    - Standards version 4.2.0 - no changes
  * debian/upstream/metadata: Added upstream metadata
  * d/patches/0011-Do-not-show-g-build-flags-in-Version-string.patch:
    - some build flags for the g++ version being used were "injected" into
      the source files for yosys. Remove them

 -- Ruben Undheim <ruben.undheim@gmail.com>  Tue, 21 Aug 2018 21:37:46 +0200

yosys (0.7-5) unstable; urgency=medium

  * debian/patches/0010-Fix-adding-of-sys.path-in-yosys-smtbmc.patch
    - Fix "ModuleNotFoundError: No module named 'smtio'" (Closes: #904752)
  * debian/tests/smtbc:
    - Added CI test to check that 'yosys-smtbmc' can be started with no
      import errors

 -- Ruben Undheim <ruben.undheim@gmail.com>  Fri, 27 Jul 2018 20:57:41 +0200

yosys (0.7-4) unstable; urgency=medium

  * d/patches/0010-Fix-reproducibility-of-PDF-documents-in-yosys-doc.patch
    - Another attempt of getting full reproducibility of PDF documents
      in yosys-doc

 -- Ruben Undheim <ruben.undheim@gmail.com>  Sat, 14 Jul 2018 23:47:09 +0200

yosys (0.7-3) unstable; urgency=low

  * debian/copyright:
    - Use https protocol in Format field
  * debian/control:
    - Added dh-python as build-dependency (Closes: #896802)
    - Changed VCS URLs to Salsa
    - Mark 'yosys-doc' Multi-Arch: foreign
    - Remove 'Testsuite: autopkgtest' since it is now handled automatically
    - Updated Standards Version to 4.1.5 - requires reproducibility
  * debian/patches:
    - 0007-Disable-pretty-build.patch: New patch to disable pretty build
      (Closes: #847110)
    - 0008-Set-fixed-date-when-calling-pdflatex-for-presentatio.patch
      Improve reproducibility
    - 0009-Some-spelling-errors-fixed.patch: Fixed some spelling errors
      detected by lintian
  * debian/rules:
    - Pass down changelog date to pdflatex
    - Upstream source has moved to https://github.com/YosysHQ/yosys
    - Use /usr/share/dpkg/pkg-info.mk instead of separate calls to
      dpkg-parsechangelog
  * debian/watch:
    - Fix watch URL - now github.com/YosysHQ/yosys/releases

 -- Ruben Undheim <ruben.undheim@gmail.com>  Thu, 12 Jul 2018 17:27:53 +0200

yosys (0.7-2) unstable; urgency=medium

  * debian/control:
    - Moved berkeley-abc from Build-Depends-Indep to Build-Depends in order
      to fix dependency problem during test.

 -- Ruben Undheim <ruben.undheim@gmail.com>  Sun, 06 Nov 2016 14:40:47 +0000

yosys (0.7-1) unstable; urgency=medium

  * New upstream release
  * Refreshed patches. Some patches applied upstream and deleted.
  * Updated man page for yosys
  * Simplified debian/*.install files
  * debian/patches/03_notruntests.patch deleted
    - Tests can now be run during build since an updated version
      of iverilog is in the archive
  * debian/control:
    - Depend on a newer version of berkeley-abc
    - Build-depend on iverilog >= 10.1

 -- Ruben Undheim <ruben.undheim@gmail.com>  Sun, 06 Nov 2016 11:28:06 +0100

yosys (0.6-7) unstable; urgency=medium

  [ Ruben Undheim ]
  * Use gbp-pq for patches.
  * debian/control:
    - Removed dependency on GCC 5 which was added in 0.6-6. (Closes: #835953)
      It causes problems now since GCC 6 is default.

  [Sebastian Kuzminsky]
  * debian/patches/switch-to-free-font.patch: Switch manual tt font
    from libertine to inconsolata.  The yosys manual doesn't render with
    libertine on sid, but it renders nicely with inconsolata. (Closes: #835678)

 -- Ruben Undheim <ruben.undheim@gmail.com>  Thu, 22 Sep 2016 19:30:37 +0200

yosys (0.6-6) unstable; urgency=medium

  * Added versioned build-dependency on gcc-5 (>= 5.3.1-15) since it
    now fails to build with older versions due to the fix for #822408.
    (Closes: #823809)
  * Updated Standards to 3.9.8 - no changes

 -- Ruben Undheim <ruben.undheim@gmail.com>  Wed, 11 May 2016 22:20:00 +0200

yosys (0.6-5) unstable; urgency=medium

  [ Sebastian Kuzminsky ]
  * debian/patches/fixup-initalization.patch:
    - Add a bugfix patch from upstream's development branch.

  [ Ruben Undheim ]
  * debian/patches/fix_ftbfs_cannot_find_infinite.patch:
    - Fixes FTBFS due to std::isfinite not found. (Closes: #822408)
  * Move PDFs in yosys-doc to /usr/share/doc/yosys in order to adhere to
    Debian Policy 12.3.
  * Refreshed patches

 -- Ruben Undheim <ruben.undheim@gmail.com>  Tue, 03 May 2016 21:56:53 +0200

yosys (0.6-4) unstable; urgency=medium

  * debian/rules:
    - Override dh_auto_build-arch instead of dh_auto_build to resolve
      build issue for "all" package.

 -- Ruben Undheim <ruben.undheim@gmail.com>  Sat, 09 Apr 2016 16:38:20 +0200

yosys (0.6-3) unstable; urgency=medium

  [ Sebastian Kuzminsky ]
  * debian/patches/kfreebsd-support.patch:
    - Fix a build problem on kFreeBSD. Use __unix__ instead of __linux__

  [ Ruben Undheim ]
  * debian/control:
    - Define Build-Depends-Indep dependencies
  * debian/rules:
    - Override dh_auto_build-indep instead for building documentation.

 -- Ruben Undheim <ruben.undheim@gmail.com>  Sat, 09 Apr 2016 14:29:32 +0200

yosys (0.6-2) unstable; urgency=medium

  * split the package into yosys, yosys-dev, and yosys-doc
    - yosys is the tool itself
    - yosys-dev is development files for building plugins
    - yosys-doc is the manual (in pdf format)
  * debian/rules:
    - fail the build if upstream installs files that aren't picked up
      by any of the debs

 -- Sebastian Kuzminsky <seb@highlab.com>  Wed, 23 Mar 2016 18:46:51 -0600

yosys (0.6-1) unstable; urgency=medium

  * Uploaded to unstable.
  * New upstream release: 0.6 (5869d26)
    - 01_gitrevision.patch: refresh
    - spelling-fixes.patch: fix upstream spelling mistakes
  * debian/rules:
    - don't run make as part of dh_auto_configure, it'll get run by
        dh_auto_build later
    - enable parallel build
    - handle the new python dependencies of yosys-smtbmc
  * debian/control:
    - add Sebastian Kuzminsky to Uploaders
  * add a manpage for the new yosys-smtbmc executable

 -- Sebastian Kuzminsky <seb@highlab.com>  Sun, 28 Feb 2016 10:48:44 -0700

yosys (0.5.0+20151013gitf13e387-2~exp1) experimental; urgency=low

  * Added autopkg test for synthesis for iCE FPGA.
  * Updated standards to 3.9.7 - no needed changes

 -- Ruben Undheim <ruben.undheim@gmail.com>  Sun, 21 Feb 2016 12:21:37 +0100

yosys (0.5.0+20151013gitf13e387-1) unstable; urgency=low

  * Uploaded to unstable
    - New features in yosys are needed for the Icestorm tool chain
  * New upstream version
    - Drop patches 04_installpath.patch and 06_cflags_ldflags.patch
    - Set PREFIX in d/rules
  * debian/control: Fixed Vcs-Git to use https

 -- Ruben Undheim <ruben.undheim@gmail.com>  Sun, 07 Feb 2016 11:59:04 +0100

yosys (0.5.0+20151007gitba4cce9-1) experimental; urgency=low

  * New upstream version
    - Refreshed patches
  * debian/control: Added "python3" as build-dependency

 -- Ruben Undheim <ruben.undheim@gmail.com>  Sat, 10 Oct 2015 09:21:17 +0200

yosys (0.5.0-1) unstable; urgency=low

  * New upstream release
  * Added d/watch
  * Updated copyright years in d/copyright
  * Changed dependency from tcl8.5-dev to tcl-dev
  * Added d/gbp.conf
  * Added link from /usr/bin/yosys-abc to /usr/bin/berkeley-abc
    - Also added man page for yosys-abc
  * Fixed paths returned by yosys-config
    - fix included in 04_installpath.patch

 -- Ruben Undheim <ruben.undheim@gmail.com>  Mon, 09 Feb 2015 20:37:38 +0100

yosys (0.4.0-1) unstable; urgency=medium

  * New upstream release
  * Few fixes in d/copyright
  * Removed some strictly not needed dependencies

 -- Ruben Undheim <ruben.undheim@gmail.com>  Wed, 12 Nov 2014 18:35:59 +0100

yosys (0.3.0+20140906git652345c-1) unstable; urgency=low

  * Initial release (Closes: #761365)

 -- Ruben Undheim <ruben.undheim@gmail.com>  Thu, 16 Oct 2014 22:02:03 +0200
